petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESApplyNPC

Calls SNESSolve() on preconditioner for the SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESApplyNPC(SNES snes,Vec x,Vec f,Vec y)

Collective on SNES

### Input Parameters

| snes | - the SNES context
| x | - input vector
| f | - optional; the function evaluation on x

### Output Parameter

y -function vector, as set by SNESSetFunction()

### Notes

SNESComputeFunction() should be called on x before SNESApplyNPC() is called, as it is with SNESComuteJacobian().

### See Also

SNESGetNPC(),SNESSetNPC(),SNESComputeFunction()

### Level

developer

### Location

src/snes/interface/snespc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages